Bug 975451 - can't create shared topic subscription queue over AMQP 1.0
can't create shared topic subscription queue over AMQP 1.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 974061 1010399
  Show dependency treegraph
 
Reported: 2013-06-18 09:46 EDT by Gordon Sim
Modified: 2015-01-21 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-5.el6, qpid-cpp-0.22-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4917 None None None Never

  None (edit)
Description Gordon Sim 2013-06-18 09:46:56 EDT
Description of problem:

In 0-10 you could specify the details of the queue in the link and this allowed multiple receivers to share the same 'subscription' to the exchange. This was not available over AMQP 1.0 in qpid 0.22.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. qpid-receive --connection-options {protocol:amqp1.0,container-id:client1} --address 'amq.fanout; {assert:true, link:{name:my-sub}, node:{capabilities:[shared]}} -f
2. qpid-receive --connection-options {protocol:amqp1.0,container-id:client2} --address 'amq.fanout; {assert: true, link:{name:my-sub}, node:{capabilities:[shared]}} -f
3. check queues via qmf 
4. send messages to amq.fanout

Actual results:

Assertion fails as shared capability is not recognised

Expected results:

step 3: only one should have been created, with two subscribers
step 4: messages should be distributed between the two receivers rather than each getting all of them 

Additional info:
Comment 1 Petr Matousek 2014-01-08 08:05:35 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-30

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.